Browse Source

[sci-misc/boinc] newer is in the tree now

master
Robert Förster 7 years ago
parent
commit
778a03981f
  1. 2
      sci-misc/boinc/Manifest
  2. 145
      sci-misc/boinc/boinc-7.2.47.ebuild
  3. 145
      sci-misc/boinc/boinc-7.4.7.ebuild
  4. 69
      sci-misc/boinc/files/boinc-7.2.0-fix_subdirs.patch
  5. 71
      sci-misc/boinc/files/boinc-7.4.0-fix_subdirs.patch
  6. 17
      sci-misc/boinc/files/boinc.conf
  7. 103
      sci-misc/boinc/files/boinc.init
  8. 11
      sci-misc/boinc/files/boinc.service
  9. 104
      sci-misc/boinc/files/generate_tarball.sh

2
sci-misc/boinc/Manifest

@ -1,2 +0,0 @@
DIST boinc-7.2.47.tar.xz 26016840 SHA256 7f99d1c8863ab663b89ce1d4c61f196208e2ce874321a450aef1ce5b1a285052 SHA512 12ca5f2d18c750495b0e7e0006aa2cc92483649812c03da8997fe67cee3554aecad3665c533f5419b1d87db4d2f66113d4f7591fefd9d41bf40d66799d5f8226 WHIRLPOOL 12b44a3799bfb338c1ab0b8de0ead6f3b69e3091c138fd12c1884933a1d165f608f9b7904e772dab80e2139e31c74742cc17e7572e2cd6b8d7b44db9b58eba4a
DIST boinc-7.4.7.tar.xz 26022216 SHA256 91231cf80a5a564e13b8f4603b58e4388e100c3959f410c4f9aaf6b5efebca12 SHA512 528164d0bed0d395c5f7138999c33c8b962d7a42d12c393e25b6a3fd2b85b60dd4ac9ec32dadfdf53f820131ac8f54d5e67f12152bf33ea19f87eb9d78dc8374 WHIRLPOOL c09205c36a06bca34545aeb0c9d4e2067c598a6bb16d5103cc239bbdeb40c90df7539900e3de2ab082c1ea7239b1e901dc54c9a806316cbab95a8daf5a19ab26

145
sci-misc/boinc/boinc-7.2.47.ebuild

@ -1,145 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
AUTOTOOLS_AUTORECONF=true
inherit autotools-utils flag-o-matic eutils wxwidgets user systemd
DESCRIPTION="The Berkeley Open Infrastructure for Network Computing"
HOMEPAGE="http://boinc.ssl.berkeley.edu/"
SRC_URI="http://people.znc.in/~dessa/gentoo/${P}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="X cuda static-libs"
RDEPEND="
!sci-misc/boinc-bin
!app-admin/quickswitch
>=app-misc/ca-certificates-20080809
dev-libs/openssl
net-misc/curl[ssl,-gnutls(-),-nss(-),curl_ssl_openssl(+)]
sys-apps/util-linux
sys-libs/zlib
cuda? (
>=dev-util/nvidia-cuda-toolkit-2.1
>=x11-drivers/nvidia-drivers-180.22
)
X? (
dev-db/sqlite:3
media-libs/freeglut
sys-libs/glibc:2.2
virtual/jpeg
x11-libs/gtk+:2
>=x11-libs/libnotify-0.7
x11-libs/wxGTK:2.8[X,opengl]
)
"
DEPEND="${RDEPEND}
sys-devel/gettext
app-text/docbook-xml-dtd:4.4
app-text/docbook2X
"
PATCHES=(
"${FILESDIR}"/${PN}-7.2.0-fix_subdirs.patch
)
AUTOTOOLS_IN_SOURCE_BUILD=1
src_prepare() {
# prevent bad changes in compile flags, bug 286701
sed -i -e "s:BOINC_SET_COMPILE_FLAGS::" configure.ac || die "sed failed"
autotools-utils_src_prepare
}
src_configure() {
local wxconf=""
# add gtk includes
use X && append-flags "$(pkg-config --cflags gtk+-2.0)"
# look for wxGTK
if use X; then
WX_GTK_VER="2.8"
need-wxwidgets unicode
wxconf+=" --with-wx-config=${WX_CONFIG}"
else
wxconf+=" --without-wxdir"
fi
local myeconfargs=(
--disable-server
--enable-client
--enable-dynamic-client-linkage
--disable-static
--enable-unicode
--with-ssl
$(use_with X x)
$(use_enable X manager)
${wxconf}
)
autotools-utils_src_configure
}
src_install() {
autotools-utils_src_install
dodir /var/lib/${PN}/
keepdir /var/lib/${PN}/
if use X; then
newicon "${S}"/packages/generic/sea/${PN}mgr.48x48.png ${PN}.png || die
make_desktop_entry boincmgr "${PN}" "${PN}" "Math;Science" "Path=/var/lib/${PN}"
fi
# cleanup cruft
rm -rf "${ED}"/etc/
newinitd "${FILESDIR}"/${PN}.init ${PN}
newconfd "${FILESDIR}"/${PN}.conf ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
}
pkg_preinst() {
enewgroup ${PN}
# note this works only for first install so we have to
# elog user about the need of being in video group
if use cuda; then
enewuser ${PN} -1 -1 /var/lib/${PN} "${PN},video"
else
enewuser ${PN} -1 -1 /var/lib/${PN} "${PN}"
fi
}
pkg_postinst() {
echo
elog "You are using the source compiled version of ${PN}."
use X && elog "The graphical manager can be found at /usr/bin/${PN}mgr"
elog
elog "You need to attach to a project to do anything useful with ${PN}."
elog "You can do this by running /etc/init.d/${PN} attach"
elog "The howto for configuration is located at:"
elog "http://boinc.berkeley.edu/wiki/Anonymous_platform"
elog
# Add warning about the new password for the client, bug 121896.
if use X; then
elog "If you need to use the graphical manager the password is in:"
elog "/var/lib/${PN}/gui_rpc_auth.cfg"
elog "Where /var/lib/ is default RUNTIMEDIR, that can be changed in:"
elog "/etc/conf.d/${PN}"
elog "You should change this password to something more memorable (can be even blank)."
elog "Remember to launch init script before using manager. Or changing the password."
elog
fi
if use cuda; then
elog "To be able to use CUDA you should add boinc user to video group."
elog "Run as root:"
elog "gpasswd -a boinc video"
fi
}

145
sci-misc/boinc/boinc-7.4.7.ebuild

@ -1,145 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
AUTOTOOLS_AUTORECONF=true
inherit autotools-utils flag-o-matic eutils wxwidgets user systemd
DESCRIPTION="The Berkeley Open Infrastructure for Network Computing"
HOMEPAGE="http://boinc.ssl.berkeley.edu/"
SRC_URI="http://people.znc.in/~dessa/gentoo/${P}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="X cuda static-libs"
RDEPEND="
!sci-misc/boinc-bin
!app-admin/quickswitch
>=app-misc/ca-certificates-20080809
dev-libs/openssl
net-misc/curl[ssl,-gnutls(-),-nss(-),curl_ssl_openssl(+)]
sys-apps/util-linux
sys-libs/zlib
cuda? (
>=dev-util/nvidia-cuda-toolkit-2.1
>=x11-drivers/nvidia-drivers-180.22
)
X? (
dev-db/sqlite:3
media-libs/freeglut
sys-libs/glibc:2.2
virtual/jpeg
x11-libs/gtk+:3
>=x11-libs/libnotify-0.7
x11-libs/wxGTK:3.0[X,opengl]
)
"
DEPEND="${RDEPEND}
sys-devel/gettext
app-text/docbook-xml-dtd:4.4
app-text/docbook2X
"
PATCHES=(
"${FILESDIR}"/${PN}-7.4.0-fix_subdirs.patch
)
AUTOTOOLS_IN_SOURCE_BUILD=1
src_prepare() {
# prevent bad changes in compile flags, bug 286701
sed -i -e "s:BOINC_SET_COMPILE_FLAGS::" configure.ac || die "sed failed"
autotools-utils_src_prepare
}
src_configure() {
local wxconf=""
# add gtk includes
use X && append-flags "$(pkg-config --cflags gtk+-3.0)"
# look for wxGTK
if use X; then
WX_GTK_VER="3.0"
need-wxwidgets unicode
wxconf+=" --with-wx-config=${WX_CONFIG}"
else
wxconf+=" --without-wxdir"
fi
local myeconfargs=(
--disable-server
--enable-client
--enable-dynamic-client-linkage
--disable-static
--enable-unicode
--with-ssl
$(use_with X x)
$(use_enable X manager)
${wxconf}
)
autotools-utils_src_configure
}
src_install() {
autotools-utils_src_install
dodir /var/lib/${PN}/
keepdir /var/lib/${PN}/
if use X; then
newicon "${S}"/packages/generic/sea/${PN}mgr.48x48.png ${PN}.png || die
make_desktop_entry boincmgr "${PN}" "${PN}" "Math;Science" "Path=/var/lib/${PN}"
fi
# cleanup cruft
rm -rf "${ED}"/etc/
newinitd "${FILESDIR}"/${PN}.init ${PN}
newconfd "${FILESDIR}"/${PN}.conf ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
}
pkg_preinst() {
enewgroup ${PN}
# note this works only for first install so we have to
# elog user about the need of being in video group
if use cuda; then
enewuser ${PN} -1 -1 /var/lib/${PN} "${PN},video"
else
enewuser ${PN} -1 -1 /var/lib/${PN} "${PN}"
fi
}
pkg_postinst() {
echo
elog "You are using the source compiled version of ${PN}."
use X && elog "The graphical manager can be found at /usr/bin/${PN}mgr"
elog
elog "You need to attach to a project to do anything useful with ${PN}."
elog "You can do this by running /etc/init.d/${PN} attach"
elog "The howto for configuration is located at:"
elog "http://boinc.berkeley.edu/wiki/Anonymous_platform"
elog
# Add warning about the new password for the client, bug 121896.
if use X; then
elog "If you need to use the graphical manager the password is in:"
elog "/var/lib/${PN}/gui_rpc_auth.cfg"
elog "Where /var/lib/ is default RUNTIMEDIR, that can be changed in:"
elog "/etc/conf.d/${PN}"
elog "You should change this password to something more memorable (can be even blank)."
elog "Remember to launch init script before using manager. Or changing the password."
elog
fi
if use cuda; then
elog "To be able to use CUDA you should add boinc user to video group."
elog "Run as root:"
elog "gpasswd -a boinc video"
fi
}

69
sci-misc/boinc/files/boinc-7.2.0-fix_subdirs.patch

@ -1,69 +0,0 @@
Makefile.am | 14 +++++++-------
configure.ac | 5 -----
2 files changed, 7 insertions(+), 12 deletions(-)
diff --git a/Makefile.am b/Makefile.am
index 6322db1..45d8b67 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -10,13 +10,13 @@ ACLOCAL_AMFLAGS = -I m4
if ENABLE_LIBRARIES
API_SUBDIRS = api lib
-if ENABLE_SERVER
- API_SUBDIRS += zip
-endif
+#if ENABLE_SERVER
+# API_SUBDIRS += zip
+#endif
endif
if ENABLE_SERVER
- SERVER_SUBDIRS = db test py sched apps tools vda html
+ SERVER_SUBDIRS = db test py sched apps tools vda
## once contained samples/example_app which breaks out-of-source-tree builds
endif
@@ -26,9 +26,9 @@ endif
if ENABLE_MANAGER
CLIENTGUI_SUBDIRS = clientgui locale
-if BUILD_X11_SCREENSAVER
- CLIENTGUI_SUBDIRS += clientscr
-endif
+#if BUILD_X11_SCREENSAVER
+# CLIENTGUI_SUBDIRS += clientscr
+#endif
endif
# ORDER MATTERS below. One must build dependencies FIRST, then things
diff --git a/configure.ac b/configure.ac
index 2bef437..5a9e104 100644
--- a/configure.ac
+++ b/configure.ac
@@ -955,7 +955,6 @@ AC_CONFIG_FILES([
apps/Makefile
clientgui/Makefile
clientgui/res/Makefile
- clientscr/Makefile
client/Makefile
client/win/boinc_path_config.py:py/boinc_path_config.py.in
client/scripts/Makefile
@@ -963,7 +962,6 @@ AC_CONFIG_FILES([
db/Makefile
doc/Makefile
doc/manpages/Makefile
- html/Makefile
lib/Makefile
locale/Makefile
Makefile
@@ -993,9 +991,6 @@ AC_CONFIG_FILES([
tools/boinc_path_config.py:py/boinc_path_config.py.in
tools/Makefile
vda/Makefile
- zip/Makefile
- zip/zip/Makefile
- zip/unzip/Makefile
m4/Makefile
])

71
sci-misc/boinc/files/boinc-7.4.0-fix_subdirs.patch

@ -1,71 +0,0 @@
diff --git a/Makefile.am b/Makefile.am
index 3287187..f60ffae 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -10,16 +10,16 @@ ACLOCAL_AMFLAGS = -I m4
if ENABLE_LIBRARIES
API_SUBDIRS = api lib
-if ENABLE_SERVER
- API_SUBDIRS += zip
-endif
-if ENABLE_BOINCZIP
- API_SUBDIRS += zip
-endif
+#if ENABLE_SERVER
+# API_SUBDIRS += zip
+#endif
+#if ENABLE_BOINCZIP
+# API_SUBDIRS += zip
+#endif
endif
if ENABLE_SERVER
- SERVER_SUBDIRS = db test py sched apps tools vda html
+ SERVER_SUBDIRS = db test py sched apps tools vda
## once contained samples/example_app which breaks out-of-source-tree builds
endif
@@ -29,9 +29,9 @@ endif
if ENABLE_MANAGER
CLIENTGUI_SUBDIRS = clientgui locale
-if BUILD_X11_SCREENSAVER
- CLIENTGUI_SUBDIRS += clientscr
-endif
+#if BUILD_X11_SCREENSAVER
+# CLIENTGUI_SUBDIRS += clientscr
+#endif
endif
# ORDER MATTERS below. One must build dependencies FIRST, then things
diff --git a/configure.ac b/configure.ac
index 8b8b84a..93acf0e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1106,7 +1106,6 @@ AC_CONFIG_FILES([
apps/Makefile
clientgui/Makefile
clientgui/res/Makefile
- clientscr/Makefile
client/Makefile
client/win/boinc_path_config.py:py/boinc_path_config.py.in
client/scripts/Makefile
@@ -1114,7 +1113,6 @@ AC_CONFIG_FILES([
db/Makefile
doc/Makefile
doc/manpages/Makefile
- html/Makefile
lib/Makefile
locale/Makefile
Makefile
@@ -1144,9 +1142,6 @@ AC_CONFIG_FILES([
tools/boinc_path_config.py:py/boinc_path_config.py.in
tools/Makefile
vda/Makefile
- zip/Makefile
- zip/zip/Makefile
- zip/unzip/Makefile
m4/Makefile
])

17
sci-misc/boinc/files/boinc.conf

@ -1,17 +0,0 @@
# Config file for /etc/init.d/boinc
# Owner of BOINC process (must be existing)
USER="boinc"
GROUP="boinc"
# Directory with runtime data: Work units, project binaries, user info etc.
RUNTIMEDIR="/var/lib/boinc"
# Location of the boinc command line binary
BOINCBIN="/usr/bin/boinc_client"
# Allow remote gui RPC yes or no
ALLOW_REMOTE_RPC="no"
# nice level
NICELEVEL="19"

103
sci-misc/boinc/files/boinc.init

@ -1,103 +0,0 @@
#!/sbin/runscript
extra_started_commands="attach"
depend() {
# we can use dns and net, but we can also in most cases live without them
use dns net ntp-client ntpd
}
create_work_directory() {
if [ ! -d "${RUNTIMEDIR}" ]; then
einfo "Directory ${RUNTIMEDIR} not existing, creating now."
mkdir "${RUNTIMEDIR}"
if [ ! -d "${RUNTIMEDIR}" ]; then
eeror "Directory ${RUNTIMEDIR} could not be created!"
return 1
fi
fi
if [ ! -e "${RUNTIMEDIR}"/ca-bundle.crt ] ; then
ln -s /etc/ssl/certs/ca-certificates.crt "${RUNTIMEDIR}"/ca-bundle.crt
fi
}
cuda_check() {
if [ -f /opt/cuda/lib/libcudart.so ]; then
# symlink wont harm :]
ln -snf /opt/cuda/lib/libcudart.so "${RUNTIMEDIR}"/libcudart.so
fi
}
check_baselayout() {
if [ "${RC_VERSION:-0}" = "0" ]; then
eerror "This script cannot be used for baselayout-1."
return 1
fi
}
start() {
check_baselayout || return 1
create_work_directory || return 1
cuda_check
# always ensure proper ownership
chown -R "${USER}:${GROUP}" "${RUNTIMEDIR}"
if [ ! -f "${RUNTIMEDIR}/lockfile" ]; then
einfo "File \"${RUNTIMEDIR}/lockfile\" does not exist, assuming first run."
einfo "You need to setup an account on the BOINC project homepage beforehand!"
einfo "Go to http://boinc.berkeley.edu/ and locate your project."
einfo "Then either run /etc/init.d/boinc attach or connect with a gui client"
einfo "and attach to a project with that."
echo
ewarn "Note that for attaching to some project you need your network up and running."
ewarn "network is needed only for jobs fetching afterwards"
fi
if [ "${ALLOW_REMOTE_RPC}" = "yes" ]; then
ARGS="${ARGS} --allow_remote_gui_rpc"
fi
ebegin "Starting ${SVCNAME}"
su -m ${USER} -c "nice -n ${NICELEVEL} \"${BOINCBIN}\" ${ARGS} --daemon --dir \"${RUNTIMEDIR}\" --redirectio"
eend $?
}
attach() {
local password url key
einfo "If you cant find your account key just try to obtain it by using:"
einfo " boinccmd --passwd PASSWORD_FROM_GUI_RPC_AUTH --lookup_account URL EMAIL PASSWORD"
printf " Enter the Project URL: "
read url
printf " Enter your Account Key: "
read key
if ! service_started; then
"${RC_SERVICE}" start
fi
password=$(cat "${RUNTIMEDIR}/gui_rpc_auth.cfg")
ebegin "${SVCNAME}: Attaching to project"
su -m ${USER} -c "boinccmd --passwd \"${password}\" --project_attach ${url} ${key}"
eend $?
unset password url key
sleep 10
tail "${RUNTIMEDIR}/stdoutdae.txt"
}
stop() {
local password
password=$(cat "${RUNTIMEDIR}/gui_rpc_auth.cfg")
ebegin "Stopping ${SVCNAME}"
su -m ${USER} -c "boinccmd --passwd \"${password}\" --quit"
eend $?
unset password
}

11
sci-misc/boinc/files/boinc.service

@ -1,11 +0,0 @@
[Unit]
Description=BOINC Daemon
[Service]
User=boinc
Group=boinc
Nice=19
ExecStart=/usr/bin/boinc_client --dir /var/lib/boinc --redirectio
[Install]
WantedBy=multi-user.target

104
sci-misc/boinc/files/generate_tarball.sh

@ -1,104 +0,0 @@
#!/usr/bin/env bash
## $Id: generate_tarball.sh,v 1.3 2013/06/30 14:52:47 jlec Exp $
## Modified by scarabeus 2008-10-23
###############################################################################
# functions
###############################################################################
# print out help function
help() {
echo "Welcome to Boinc tarball generator"
echo
echo "For correct usage set VERSION argument"
echo "Example:"
echo "$0 -v 6.1.1"
exit 0
}
###############################################################################
# argument passing
###############################################################################
if [[ $1 == "--help" ]]; then
help
fi
while getopts v: arg ; do
case $arg in
v) VERSION=${OPTARG};;
*) help;;
esac
done
if [ -z "${VERSION}" ]; then
help
fi
###############################################################################
# variable definition
###############################################################################
GIT_URI="git://boinc.berkeley.edu/boinc-v2.git"
PACKAGE="boinc-${VERSION}"
BUNDLE_PREFIX="boinc-dist"
LOG=linux.log
###############################################################################
# prepare enviroment
###############################################################################
mkdir ${BUNDLE_PREFIX} -p
rm -rf "${BUNDLE_PREFIX}"/* # CLEANUP
cd "${BUNDLE_PREFIX}"
touch "${LOG}"
echo "" > "${LOG}" # LOG CLEANUP
###############################################################################
# get data from GIT
###############################################################################
echo "<Downloading files from GIT repository>"
echo "<******************************>"
# No direct archive possible
git clone ${GIT_URI} ${PACKAGE} >> "${LOG}"
pushd "${PACKAGE}" > /dev/null
git checkout -b gentoo client_release/${VERSION%.*}/${VERSION} || exit 0
#git checkout -b gentoo client_release/7.4/${VERSION} || exit 0
popd > /dev/null
###############################################################################
# cleanup files we fetched
###############################################################################
echo "<Cleaning up data we fetched>"
echo "<******************************>"
pushd "${PACKAGE}" > /dev/null
# First remove NON Linux stuff we will not use
rm -rf mac_installer/ # mac installer scripts
rm -rf clientgui/mac/ # mac windows
rm -rf clientscr/ # windows screensaver
rm -rf clienttray/ # windows systray
rm -rf win_build/ # windows build stuff
rm -rf clientlib/ # only windows stuff
rm -rf client/os2/ # OS2 stuff
rm -rf client/win/ # windows stuff
rm -rf mac_build/ # mac build scripts
rm -rf RSAEuro/ # empty folder
rm -rf html/ # webpages WTF?
# BUNDLED STUFF NEEDED REMOVAL
rm -rf coprocs/ # CUDA
rm -rf curl/
#rm -rf locale/*/*.mo # translations should be generated on user machines
# Actualy they dont generate them
rm -rf zlib/
rm -rf zip/
rm -rf openssl/
git commit -a -m "Cleaned"
popd > /dev/null
###############################################################################
# create tbz
###############################################################################
git archive --prefix=${PACKAGE}/ --remote=${PACKAGE} gentoo -o ${PACKAGE}.tar
xz -ve9 "${PACKAGE}".tar | tee -a "${LOG}"
find ./ -maxdepth 1 -type f -name \*.tar.xz -print | while read FILE ; do
echo "FILE: ${FILE}"
echo " SIZE: $(`which du` -h ${FILE} |`which awk` -F' ' '{print $1}')"
echo " MD5SUM: $(`which md5sum` ${FILE} |`which awk` -F' ' '{print $1}')"
echo " SHA1SUM: $(`which sha1sum` ${FILE} |`which awk` -F' ' '{print $1}')"
echo
done
echo "<<<All done>>>"
###############################################################################
Loading…
Cancel
Save